Angular Bootstrap tags, labels & badges
Angular Tags, Labels & Badges - Bootstrap 4 & Material Design
Angular Bootstrap tags are components which separate content placed in the same wrapper, but in the separate pane. Only one pane can be displayed at the time.
Their main goal is to provide your visitors with an intuitive way of getting what they want. Just consider, how convenient it is to find all the articles related to web development just by using web development tag.
.jpg)
.jpg)


.jpg)

Example heading New
Example heading New
Example heading New
Example heading New
Example heading New
Example heading New
Primary
Success
Info
Warning
Danger
Labels
This is the first heading New
This is the second heading New
This is the third heading New
This is the fourth heading New
This is the fifth heading New
This is the sixth heading New
<h1>This is the first heading <mdb-badge color="red">New</mdb-badge>
</h1>
<h2>This is the second heading <mdb-badge color="cyan">New</mdb-badge>
</h2>
<h3>This is the third heading <mdb-badge color="amber darken-2">New</mdb-badge>
</h3>
<h4>This is the fourth heading <mdb-badge color="pink">New</mdb-badge>
</h4>
<h5>This is the fifth heading <mdb-badge color="purple darken-2">New</mdb-badge>
</h5>
<h6>This is the sixth heading <mdb-badge color="indigo">New</mdb-badge>
</h6>
Contextual colors badges
Add any of the below mentioned modifier classes to change the appearance of a tag.
<mdb-badge default="true">Default</mdb-badge>
<mdb-badge primary="true">Primary</mdb-badge>
<mdb-badge success="true">Success</mdb-badge>
<mdb-badge info="true">Info</mdb-badge>
<mdb-badge warning="true">Warning</mdb-badge>
<mdb-badge danger="true">Danger</mdb-badge>
Links
Add any of the below mentioned modifier classes to change the appearance of a tag.
<a href="">
<mdb-badge default="true">Default</mdb-badge>
</a>
<a href="">
<mdb-badge primary="true">Primary</mdb-badge>
</a>
<a href="">
<mdb-badge success="true">Success</mdb-badge>
</a>
<a href="">
<mdb-badge info="true">Info</mdb-badge>
</a>
<a href="">
<mdb-badge warning="true">Warning</mdb-badge>
</a>
<a href="">
<mdb-badge danger="true">Danger</mdb-badge>
</a>
Pills badges
<mdb-badge pill="true" default="true">Default</mdb-badge>
<mdb-badge pill="true" primary="true">Primary</mdb-badge>
<mdb-badge pill="true" success="true">Success</mdb-badge>
<mdb-badge pill="true" info="true">Info</mdb-badge>
<mdb-badge pill="true" warning="true">Warning</mdb-badge>
<mdb-badge pill="true" danger="true">Danger</mdb-badge>
Badges with icons
<mdb-badge default="true">
<mdb-icon fab icon="facebook"></mdb-icon>
</mdb-badge>
<mdb-badge primary="true">
<mdb-icon fab icon="instagram"></mdb-icon>
</mdb-badge>
<mdb-badge success="true">
<mdb-icon fab icon="snapchat-ghost"></mdb-icon>
</mdb-badge>
<mdb-badge info="true">
<mdb-icon fas icon="anchor"></mdb-icon>
</mdb-badge>
<mdb-badge warning="true">
<mdb-icon far icon="sun"></mdb-icon>
</mdb-badge>
<mdb-badge danger="true">
<mdb-icon fas icon="battery-three-quarters"></mdb-icon>
</mdb-badge>
<mdb-badge pill="true" color="pink">
<mdb-icon fas icon="wheelchair"></mdb-icon>
</mdb-badge>
<mdb-badge pill="true" color="light-blue">
<mdb-icon far icon="heart"></mdb-icon>
</mdb-badge>
<mdb-badge pill="true" color="indigo">
<mdb-icon fas icon="bullhorn"></mdb-icon>
</mdb-badge>
<mdb-badge pill="true" color="purple">
<mdb-icon far icon="comments"></mdb-icon>
</mdb-badge>
<mdb-badge pill="true" color="orange">
<mdb-icon fas icon="coffee"></mdb-icon>
</mdb-badge>
<mdb-badge pill="true" color="green">
<mdb-icon fas icon="user"></mdb-icon>
</mdb-badge>
<mdb-badge color="indigo">
<mdb-icon fab icon="android" size="2x"></mdb-icon>
</mdb-badge>
<mdb-badge color="cyan">
<mdb-icon fas icon="cog" size="2x"></mdb-icon>
</mdb-badge>
<mdb-badge color="orange">
<mdb-icon fab icon="btc" size="2x"></mdb-icon>
</mdb-badge>
<mdb-badge pill="true" color="teal">
<mdb-icon fas icon="heart" size="2x"></mdb-icon>
</mdb-badge>
<mdb-badge pill="true" color="green">
<mdb-icon fab icon="apple" size="2x"></mdb-icon>
</mdb-badge>
<mdb-badge pill="true" color="purple">
<mdb-icon fas icon="users" size="2x"></mdb-icon>
</mdb-badge>
Chips MDB Pro component
With avatar

<div class="chip">
<img src="https://mdbootstrap.com/img/Photos/Avatars/avatar-6.jpg" alt="Contact Person"> Jane Doe
</div>
Without avatar
<div class="chip" *ngIf="hideElement">
Tag 1
<mdb-icon fas icon="times" class="close" (click)="hideElement=!hideElement"></mdb-icon>
</div>
import { Component } from '@angular/core';
@Component({
selector: 'chips-basic-example',
templateUrl: 'chips.component.html',
})
export class ChipsComponent {
hideElement: boolean = true;
}
Chips usage MDB Pro component
Adding tags
Type a name and press enter to add tag. Click X to remove it.
<mdb-material-chips [(ngModel)]="addtags"></mdb-material-chips>
import { Component } from '@angular/core';
@Component({
selector: 'chips-add-example',
templateUrl: 'chips.add.component.html',
})
export class ChipsAddComponent {
hideElement: boolean = true;
addtags: string[] = [];
}
Set initial tags
<mdb-material-chips [(ngModel)]="initialtags"></mdb-material-chips>
import { Component } from '@angular/core';
@Component({
selector: 'chips-initial-example',
templateUrl: 'chips.initial.component.html',
})
export class ChipsInitialComponent {
hideElement: boolean = true;
addtags: string[] = [];
initialtags: string[] = ['Tag 1', 'Tag 2', 'Tag 3'];
}
Placeholer
<mdb-material-chips [(ngModel)]="addtags" placeholder="+Tag"></mdb-material-chips>
OR
<mdb-material-chips [(ngModel)]="addtags" [placeholder]="placeholderVar"></mdb-material-chips>
import { Component } from '@angular/core';
@Component({
selector: 'chips-placeholder-example',
templateUrl: 'chips.placeholder.component.html',
})
export class ChipsPlaceholderComponent {
placeholderVar: string = "Your placeholder";
}
Clear tags button
<div class="chip" *ngIf="hideElement">
Tag 1
</div>
<div class="chip" *ngIf="hideElement">
Tag 2
</div>
<div class="chip" *ngIf="hideElement">
Tag 3
</div>
<div class="chip" *ngIf="hideElement">
Tag 4
</div>
<div class="chip" *ngIf="hideElement">
Tag 5
</div>
<div class="chip" *ngIf="hideElement">
Tag 6
</div>
<div class="chip" *ngIf="hideElement">
Tag 7
</div>
<button mdbBtn color="primary" mdbWavesEffect (click)="hideElement=!hideElement">clear tags</button>
Angular Tags, Labels & Badges - API
In this section you will find informations about required modules and available outputs of the tags component.
Modules used
In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.
// MDB Angular Pro
import { MaterialChipsModule, BadgeModule, IconsModule, WavesModule } from 'ng-uikit-pro-standard'
// MDB Angular Free
import { BadgeModule, IconsModule, WavesModule } from 'angular-bootstrap-md'
// Angular Forms
import { FormsModule } from '@angular/forms'
Inputs
MDBBadge
Name | Type | Default | Description | Example |
---|---|---|---|---|
default |
boolean | - | Allow to apply default color to badge | [default]="true" |
primary |
boolean | - | Allow to apply primary color to badge | [primary]="true" |
success |
boolean | - | Allow to apply success color to badge | [success]="true" |
info |
boolean | - | Allow to apply info color to badge | [info]="true" |
warning |
boolean | - | Allow to apply warning color to badge | [warning]="true" |
danger |
boolean | - | Allow to apply danger color to badge | [danger]="true" |
pill |
boolean | - | Allow to apply pill color to badge | [pill]="true" |
color |
string | - | Allow to apply color class to the component | color="red" |
classInside |
string | - | Allow to apply class only to the component inside element | classInside="dropdown-toggle" |
Outputs
MaterialChipsComponent
Name | Type | Description | Example |
---|---|---|---|
tagsfocusedChange |
EventEmitter<boolean> | Event fired when Material Chip input got focus or when focus is out | (tagsfocusedChange)="onTagsfocusedChange($event)" |
labelsChange |
EventEmitter<string[]> | Event fired when length of the chips array has changed | (labelsChange)="onLabelsChange($event)" |

Badges

Vue Bootstrap 5 Badges component

Documentation and examples for Vue badges, our small count and labeling component.

Note: Read the API tab to find all available options and advanced customization


Basic example

Example heading New

        
            
        <template>
          Example heading <MDBBadge color="primary">New</MDBBadge>
        </template>
        
        
    
        
            
        <script>
          import { MDBBadge } from "mdb-vue-ui-kit";
          export default {
            components: {
              MDBBadge
            }
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import { MDBBadge } from "mdb-vue-ui-kit";
        </script>
        
        
    

Sizes

Badges scale to match the size of the immediate parent element by using relative font sizing and em units. As of v5, badges no longer have focus or hover styles for links.

Example heading New

Example heading New

Example heading New

Example heading New

Example heading New
Example heading New
        
            
        <template>
          <div>
            <h1>Example heading 
              <MDBBadge color="primary">New</MDBBadge>
            </h1>
            <h2>Example heading 
              <MDBBadge color="primary">New</MDBBadge>
            </h2>
            <h3>Example heading 
              <MDBBadge color="primary">New</MDBBadge>
            </h3>
            <h4>Example heading 
              <MDBBadge color="primary">New</MDBBadge>
            </h4>
            <h5>Example heading 
              <MDBBadge color="primary">New</MDBBadge>
            </h5>
            <h6>Example heading 
              <MDBBadge color="primary">New</MDBBadge>
            </h6>
          </div>
        </template>
        
        
    
        
            
        <script>
          import { MDBBadge } from "mdb-vue-ui-kit";
          export default {
            components: {
              MDBBadge
            }
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import { MDBBadge } from "mdb-vue-ui-kit";
        </script>
        
        
    

Button

Badges can be used as part of links or buttons to provide a counter.

        
            
        <template>
          <MDBBtn color="primary">
            Notifications <MDBBadge color="danger" class="ms-2">8</MDBBadge>
          </MDBBtn>
        </template>
        
        
    
        
            
        <script>
          import { MDBBadge, MDBBtn } from "mdb-vue-ui-kit";
          export default {
            components: {
              MDBBadge,
              MDBBtn
            }
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import { MDBBadge, MDBBtn } from "mdb-vue-ui-kit";
        </script>
        
        
    

Note that depending on how they are used, badges may be confusing for users of screen readers and similar assistive technologies. While the styling of badges provides a visual cue as to their purpose, these users will simply be presented with the content of the badge. Depending on the specific situation, these badges may seem like random additional words or numbers at the end of a sentence, link, or button.

Unless the context is clear (as with the “Notifications” example, where it is understood that the “4” is the number of notifications), consider including additional context with a visually hidden piece of additional text.

        
            
        <template>
          <MDBBtn color="primary">
            Profile
            <MDBBadge color="danger" class="ms-2">9</MDBBadge>
            <span class="visually-hidden">unread messages</span>
          </MDBBtn>
        </template>
        
        
    
        
            
        <script>
          import { MDBBadge, MDBBtn } from "mdb-vue-ui-kit";
          export default {
            components: {
              MDBBadge,
              MDBBtn
            }
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import { MDBBadge, MDBBtn } from "mdb-vue-ui-kit";
        </script>
        
        
    

Colors

Background colors

Use our background utility classes to quickly change the appearance of a badge. Please note that when using Bootstrap’s default color="light" property, you’ll likely need a text color utility like .text-dark for proper styling. This is because background properties do not set anything but background-color.

Primary Secondary Success Danger Warning Info Light Dark
        
            
          <template>
            <MDBBadge color="primary">Primary</MDBBadge>
            <MDBBadge color="secondary">Secondary</MDBBadge>
            <MDBBadge color="success">Success</MDBBadge>
            <MDBBadge color="danger">Danger</MDBBadge>
            <MDBBadge color="warning" class="text-dark">Warning</MDBBadge>
            <MDBBadge color="info">Info</MDBBadge>
            <MDBBadge color="light" class="text-dark">Light</MDBBadge>
            <MDBBadge color="dark">Dark</MDBBadge>
          </template>
          
        
    
        
            
          <script>
            import { MDBBadge } from "mdb-vue-ui-kit";
            export default {
              components: {
                MDBBadge
              }
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import { MDBBadge } from "mdb-vue-ui-kit";
          </script>
          
        
    

Conveying meaning to assistive technologies:
Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .visually-hidden class.


Badge colors

You can also use smoother badge colors with badge property

Primary Secondary Success Danger Warning Info Light Dark
        
            
          <template>
            <MDBBadge badge="primary">Primary</MDBBadge>
            <MDBBadge badge="secondary">Secondary</MDBBadge>
            <MDBBadge badge="success">Success</MDBBadge>
            <MDBBadge badge="danger">Danger</MDBBadge>
            <MDBBadge badge="warning">Warning</MDBBadge>
            <MDBBadge badge="info">Info</MDBBadge>
            <MDBBadge badge="light">Light</MDBBadge>
            <MDBBadge badge="dark">Dark</MDBBadge>
          </template>
          
        
    
        
            
          <script>
            import { MDBBadge } from "mdb-vue-ui-kit";
            export default {
              components: {
                MDBBadge
              }
            };
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import { MDBBadge } from "mdb-vue-ui-kit";
          </script>
          
        
    

Pills

Use the pill property to make badges more rounded with a larger border-radius.

Primary Secondary Success Danger Warning Info Light Dark
        
            
        <template>
          <MDBBadge badge="primary" pill>Primary</MDBBadge>
          <MDBBadge badge="secondary" pill>Secondary</MDBBadge>
          <MDBBadge badge="success" pill>Success</MDBBadge>
          <MDBBadge badge="danger" pill>Danger</MDBBadge>
          <MDBBadge badge="warning" pill>Warning</MDBBadge>
          <MDBBadge badge="info" pill>Info</MDBBadge>
          <MDBBadge badge="light" pill>Light</MDBBadge>
          <MDBBadge badge="dark" pill>Dark</MDBBadge>
        </template>
        
        
    
        
            
        <script>
          import { MDBBadge } from "mdb-vue-ui-kit";
          export default {
            components: {
              MDBBadge
            }
          };
        </script>
        
        
    
        
            
        <script script lang="ts">
          import { MDBBadge } from "mdb-vue-ui-kit";
        </script>
        
        
    

Positioned

Use utilities to modify a .badge and position it in the corner of a link or button.

        
            
            <template>
              <div>
                <MDBBtn color="primary">Inbox</MDBBtn>
                <MDBBadge
                  color="danger"
                  class="translate-middle p-1"
                  pill
                  notification
                  >99+</MDBBadge
                >
              </div>
            </template>
          
        
    
        
            
            <script>
              import { MDBBadge, MDBBtn } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBBadge,
                  MDBBtn
                }
              };
            </script>
          
        
    
        
            
            <script>
              import { MDBBadge, MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

You can also replace the .badge class with a few more utilities without a count for a more generic indicator.

        
            
            <template>
              <div>
                <MDBBtn color="primary">Profile</MDBBtn>
                <MDBBadge
                  badge="danger"
                  class="translate-middle p-2 border border-light rounded-circle"
                  dot
                ></MDBBadge>
              </div>
            </template>
          
        
    
        
            
            <script>
              import { MDBBadge, MDBBtn } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBBadge,
                  MDBBtn
                }
              };
            </script>
          
        
    
        
            
            <script>
              import { MDBBadge, MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

With avatar

New alerts Avatar
        
            
            <template>
              <div>
                <img
                  class="rounded-4 shadow-4"
                  src="https://mdbootstrap.com/img/Photos/Avatars/man2.jpg"
                  alt="Avatar"
                  style="width: 50px; height: 50px"
                />
                <MDBBadge
                  badge="danger"
                  class="translate-middle p-2 border border-light rounded-circle"
                  dot
                ></MDBBadge>
              </div>
            </template>
          
        
    
        
            
            <script>
              import { MDBBadge } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBBadge,
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBBadge, MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

Icon notifications

You can use our icons and notification property to create a facebook-like notification.

        
            
        <template>
          <a href="">
            <MDBIcon icon="envelope" size="lg"></MDBIcon>
            <MDBBadge color="danger" dot></MDBBadge>
          </a>

          <a href="">
            <MDBIcon icon="envelope" size="lg"></MDBIcon>
            <MDBBadge color="danger" pill notification>1</MDBBadge>
          </a>

          <a href="">
            <MDBIcon icon="envelope" size="lg"></MDBIcon>
            <MDBBadge color="danger" pill notification>999+</MDBBadge>
          </a>
        </template>
        
        
    
        
            
        <script>
          import { MDBBadge, MDBIcon } from "mdb-vue-ui-kit";
          export default {
            components: {
              MDBBadge,
              MDBIcon
            }
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import { MDBBadge, MDBIcon } from "mdb-vue-ui-kit";
        </script>
        
        
    

Icon inside

You can place an icon inside the badge. Read icons docs to see all the available icons.

        
            
              <template>
                <MDBBadge color="primary" class="p-3 rounded-4">
                  <i class="fas fa-chart-pie"></i>
                </MDBBadge>
              </template>
            
        
    
        
            
              <script>
                import { MDBBadge } from "mdb-vue-ui-kit";

                export default {
                  components: {
                    MDBBadge,
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBBadge } from "mdb-vue-ui-kit";
              </script>
            
        
    

It composes nicely inside of the section with features.

Tutorials

Dozens of free tutorials to help you discover the full potential of MDB.

Learn more

Integrations

MDB is integrated with all major technologies and tools.

Learn more

Backend friendly

MDB is designed to be seamlessly integrated and used with the backend.

Learn more

Support and community

The MDB team and our global community are there to support you.

Learn more
        
            
              <MDBRow>
                <MDBContainer class="d-flex mb-5">
                  <MDBBadge
                    color="primary"
                    class="p-3 rounded-4 align-self-start"
                  >
                    <i
                      class="fas fa-cloud-upload-alt fa-lg text-primary fa-fw"
                    ></i>
                  </MDBBadge>

                  <div class="d-flex flex-column align-items-start mx-5">
                    <p class="fw-bold mb-1">Tutorials</p>
                    <p class="text-muted mb-1 text-start">
                      Dozens of free tutorials to help you discover the full
                      potential of MDB.
                    </p>
                    <small><a href="">Learn more</a></small>
                  </div>
                </MDBContainer>

                <MDBContainer class="d-flex mb-5">
                  <MDBBadge
                    color="primary"
                    class="p-3 rounded-4 align-self-start"
                  >
                    <i class="fas fa-database fa-lg text-primary fa-fw"></i>
                  </MDBBadge>

                  <div class="d-flex flex-column align-items-start mx-5">
                    <p class="fw-bold mb-1">Integrations</p>
                    <p class="text-muted mb-1 text-start">
                      MDB is integrated with all major technologies and tools.
                    </p>
                    <small><a href="">Learn more</a></small>
                  </div>
                </MDBContainer>
              </MDBRow>

              <MDBRow>
                <MDBContainer class="d-flex mb-5">
                  <MDBBadge
                    color="primary"
                    class="p-3 rounded-4 align-self-start"
                  >
                    <i class="fas fa-stream fa-lg text-primary fa-fw"></i>
                  </MDBBadge>

                  <div class="d-flex flex-column align-items-start mx-5">
                    <p class="fw-bold mb-1">Backend friendly</p>
                    <p class="text-muted mb-1 text-start">
                      MDB is designed to be seamlessly integrated and used with
                      the backend.
                    </p>
                    <small><a href="">Learn more</a></small>
                  </div>
                </MDBContainer>
                <MDBContainer class="d-flex mb-5">
                  <MDBBadge
                    color="primary"
                    class="p-3 rounded-4 align-self-start"
                  >
                    <i class="fas fa-copy fa-lg text-primary fa-fw"></i>
                  </MDBBadge>

                  <div class="d-flex flex-column align-items-start mx-5">
                    <p class="fw-bold mb-1">Support and community</p>
                    <p class="text-muted mb-1 text-start">
                      The MDB team and our global community are there to support
                      you.
                    </p>
                    <small><a href="">Learn more</a></small>
                  </div>
                </MDBContainer>
              </MDBRow>
            
        
    
        
            
              <script>
                import { MDBBadge, MDBContainer, MDBRow } from "mdb-vue-ui-kit";

                export default {
                  components: {
                    MDBBadge,
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBBadge, MDBContainer, MDBRow } from "mdb-vue-ui-kit";
              </script>
            
        
    

24H 00M 00S

Get one of the limited daily offers for AI Bundles with 98% OFF for our Black Days Sale!

Badges - API


Import

        
            
          <script>
            import {
              MDBBadge
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Property Type Default Description
badge String "" Changes badge color with badge-$var class
color String "" Changes badge color with bg-$var class
pill Boolean false Changes badge to rounded-pill
dot Boolean false Changes badge to dot style
notification Boolean false Changes badge to notification style
tag String "span" Changes badge tag

CSS variables

As part of MDB’s evolving CSS variables approach, badge now use local CSS variables for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

Badges CSS variables are in different classes which belong to this component. To make it easier to use them, you can find below all of the used CSS variables.

        
            
        // .badge
        --#{$prefix}badge-padding-x: #{$badge-padding-x};
        --#{$prefix}badge-padding-y: #{$badge-padding-y};
        @include rfs($badge-font-size, --#{$prefix}badge-font-size);
        --#{$prefix}badge-font-weight: #{$badge-font-weight};
        --#{$prefix}badge-color: #{$badge-color};
        --#{$prefix}badge-border-radius: #{$badge-border-radius};

        // .badge-dot
        --#{$prefix}badge-border-radius: #{$badge-dot-border-radius};
        --#{$prefix}badge-height: #{$badge-dot-height};
        --#{$prefix}badge-width: #{$badge-dot-width};
        --#{$prefix}badge-margin-left: #{$badge-dot-margin-left};

        // .badge-notification
        --#{$prefix}badge-font-size: #{$badge-notification-font-size};
        --#{$prefix}badge-padding-x: #{$badge-notification-padding-x};
        --#{$prefix}badge-padding-y: #{$badge-notification-padding-y};
        --#{$prefix}badge-margin-top: #{$badge-notification-margin-top};
        --#{$prefix}badge-margin-left: #{$badge-notification-margin-left};
        
        
    

SCSS variables

        
            
        $badge-font-size: 0.75em;
        $badge-font-weight: $font-weight-bold;
        $badge-color: $white;
        $badge-padding-y: 0.35em;
        $badge-padding-x: 0.65em;
        $badge-border-radius: 0.27rem;

        $badge-dot-border-radius: 4.5px;
        $badge-dot-height: 9px;
        $badge-dot-width: $badge-dot-height;
        $badge-dot-margin-left: -0.3125rem;

        $badge-notification-font-size: 0.6rem;
        $badge-notification-margin-top: -0.1rem;
        $badge-notification-margin-left: -0.5rem;
        $badge-notification-padding-y: 0.2em;
        $badge-notification-padding-x: 0.45em;

Badges

React Bootstrap 5 Badges component

Documentation and examples for badges, our small count and labeling component.


Basic example

Example heading New

        
            
          import React from 'react';
          import { MDBBadge } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <div>
                <h2>
                  Example heading
                  <MDBBadge className='ms-2'>NEW</MDBBadge>
                </h2>
              </div>
            );
          }
          
        
    

Sizes

Badges scale to match the size of the immediate parent element by using relative font sizing and em units. As of v5, badges no longer have focus or hover styles for links.

Example heading New

Example heading New

Example heading New

Example heading New

Example heading New
Example heading New
        
            
            import React from 'react';
            import { MDBBadge } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <div>
                  <h1>
                    Example heading
                    <MDBBadge className='ms-2'>NEW</MDBBadge>
                  </h1>
                  <h2>
                    Example heading
                    <MDBBadge className='ms-2'>NEW</MDBBadge>
                  </h2>
                  <h3>
                    Example heading
                    <MDBBadge className='ms-2'>NEW</MDBBadge>
                  </h3>
                  <h4>
                    Example heading
                    <MDBBadge className='ms-2'>NEW</MDBBadge>
                  </h4>
                  <h5>
                    Example heading
                    <MDBBadge className='ms-2'>NEW</MDBBadge>
                  </h5>
                  <h6>
                    Example heading
                    <MDBBadge className='ms-2'>NEW</MDBBadge>
                  </h6>
                </div>
              );
            }
            
        
    

Button

Badges can be used as part of links or buttons to provide a counter.

        
            
          import React from 'react';
          import { MDBBadge, MDBBtn } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBBtn>
                Notifications
                <MDBBadge className='ms-2' color='danger'>
                  8
                </MDBBadge>
              </MDBBtn>
            );
          }
          
        
    

Note that depending on how they are used, badges may be confusing for users of screen readers and similar assistive technologies. While the styling of badges provides a visual cue as to their purpose, these users will simply be presented with the content of the badge. Depending on the specific situation, these badges may seem like random additional words or numbers at the end of a sentence, link, or button.

Unless the context is clear (as with the “Notifications” example, where it is understood that the “4” is the number of notifications), consider including additional context with a visually hidden piece of additional text.

        
            
          import React from 'react';
          import { MDBBadge, MDBBtn } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBBtn>
                Profile
                <MDBBadge className='ms-2' color='danger'>
                  9
                </MDBBadge>
                <span className='visually-hidden'>unread messages</span>
              </MDBBtn>
            );
          }
        
        
    

Colors

Use our badge color prop to quickly change the appearance of a badge.

Primary Secondary Success Danger Warning Info Light Dark
        
            
            import React from 'react';
            import { MDBBadge } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <>
                  <MDBBadge>Primary</MDBBadge>
                  <MDBBadge className='mx-2' color='secondary' light>
                    Secondary
                  </MDBBadge>
                  <MDBBadge color='success' light>Success</MDBBadge>
                  <MDBBadge className='mx-2' color='danger' light>
                    Danger
                  </MDBBadge>
                  <MDBBadge color='warning' light>Warning</MDBBadge>
                  <MDBBadge className='mx-2' color='info' light>
                    Info
                  </MDBBadge>
                  <MDBBadge className='text-dark me-2' color='light' light>
                    Light
                  </MDBBadge>
                  <MDBBadge color='dark' light>Dark</MDBBadge>
                </>
              );
            }
          
        
    

Conveying meaning to assistive technologies:
Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .visually-hidden className.


Pills

Use the pill property to make badges more rounded with a larger border-radius.

Primary Secondary Success Danger Warning Info Light Dark
        
            
            import React from 'react';
            import { MDBBadge } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <>
                  <MDBBadge pill light>Primary</MDBBadge>
                  <MDBBadge pill className='mx-2' color='secondary' light>
                    Secondary
                  </MDBBadge>
                  <MDBBadge pill color='success' light>
                    Success
                  </MDBBadge>
                  <MDBBadge pill className='mx-2' color='danger' light>
                    Danger
                  </MDBBadge>
                  <MDBBadge pill color='warning' light>
                    Warning
                  </MDBBadge>
                  <MDBBadge pill className='mx-2' color='info' light>
                    Info
                  </MDBBadge>
                  <MDBBadge pill className='me-2 text-dark' color='light' light>
                    Light
                  </MDBBadge>
                  <MDBBadge pill color='dark' light>
                    Dark
                  </MDBBadge>
                </>
              );
            }
          
        
    

Positioned

Use utilities to modify a .badge and position it in the corner of a link or button.

        
            
            import React from 'react';
            import { MDBBadge, MDBBtn } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <>
                  <div className='position-relative d-inline-block'>
                    <MDBBtn>inbox</MDBBtn>
                    <MDBBadge color='danger' light pill className='position-absolute translate-middle'>
                      99+
                      <span class="visually-hidden">unread messages</span>
                    </MDBBadge>
                  </div>
                </>
              );
            }
          
        
    

You can also change CSS classes to create a badge without a count for a more generic indicator.

        
            
            import React from 'react';
            import { MDBBadge, MDBBtn } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <>
                  <div className='position-relative d-inline-block'>
                    <MDBBtn>Profile</MDBBtn>
                    <MDBBadge
                      color='danger'
                      className='position-absolute top-0 start-100 translate-middle p-2 bg-danger border border-light rounded-circle'
                    >
                      <span class="visually-hidden">New alerts</span>
                    </MDBBadge>
                  </div>
                </>
              );
            }
          
        
    

With avatar

New alerts Avatar
        
            
          import React from 'react';
          import { MDBBadge } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
            <div className='d-inline-flex position-relative'>
              <MDBBadge className='position-absolute top-0 start-100 translate-middle p-1 bg-danger border border-light rounded-circle'>
                <span className='visually-hidden'>New alerts</span>
              </MDBBadge>
              <img
                className='rounded-4 shadow-4'
                src='https://mdbootstrap.com/img/Photos/Avatars/man2.jpg'
                alt='Avatar'
                style={{ width: '50px', height: '50px' }}
              />
            </div>
            );
          }
        
        
    

Icon notifications

You can use our icons and notification property to create a facebook-like notification.

        
            
          import React from 'react';
          import { MDBBadge, MDBIcon } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <>
                <a href='#!'>
                  <MDBIcon fas icon='envelope' size='lg' />
                  <MDBBadge color='danger' dot />
                </a>
    
                <a className='mx-3' href='#!'>
                  <MDBIcon fas icon='envelope' size='lg' />
                  <MDBBadge color='danger' notification pill>
                    1
                  </MDBBadge>
                </a>
    
                <a href='#!'>
                  <MDBIcon fas icon='envelope' size='lg' />
                  <MDBBadge color='danger' notification pill>
                    999+
                  </MDBBadge>
                </a>
              </>
            );
          }
        
        
    

Icon inside

You can place an icon inside the badge. Read icons docs to see all the available icons.

        
            
  
            <div class="badge badge-primary p-3 rounded-4">
              <i class="fas fa-chart-pie"></i>
            </div>
  
            
        
    

It composes nicely inside of the section with features.

Tutorials

Dozens of free tutorials to help you discover the full potential of MDB.

Learn more

Integrations

MDB is integrated with all major technologies and tools.

Learn more

Backend friendly

MDB is designed to be seamlessly integrated and used with the backend.

Learn more

Support and community

The MDB team and our global community are there to support you.

Learn more
        
            
          import React from 'react';
          import { MDBBadge } from 'mdb-react-ui-kit';
  
          export default function App() {

            return (
                <div className='row gx-lg-5'>
                  <div className='col-lg-6 mb-5'>
                    <div className='d-flex align-items-start'>
                      <div className='flex-shrink-0'>
                        <MDBBadge light='true' className='p-3 badge-primary rounded-4'>
                          <i className='fas fa-cloud-upload-alt fa-lg text-primary fa-fw'></i>
                        </MDBBadge>
                      </div>
                      <div className='flex-grow-1 ms-4'>
                        <p className='fw-bold mb-1'>Tutorials</p>
                        <p className='text-muted mb-1'>Dozens of free tutorials to help you discover the full potential of MDB.</p>
                        <small>
                          <a href=''>Learn more</a>
                        </small>
                      </div>
                    </div>
                  </div>

                  <div className='col-lg-6 mb-5'>
                    <div className='d-flex align-items-start'>
                      <div className='flex-shrink-0'>
                        <MDBBadge light='true' className='p-3 badge-primary rounded-4'>
                          <i className='fas fa-database fa-lg text-primary fa-fw'></i>
                        </MDBBadge>
                      </div>
                      <div className='flex-grow-1 ms-4'>
                        <p className='fw-bold mb-1'>Integrations</p>
                        <p className='text-muted mb-1'>MDB is integrated with all major technologies and tools.</p>
                        <small>
                          <a href=''>Learn more</a>
                        </small>
                      </div>
                    </div>
                  </div>

                  <div className='col-lg-6 mb-5'>
                    <div className='d-flex align-items-start'>
                      <div className='flex-shrink-0'>
                        <MDBBadge light='true' className='p-3 badge-primary rounded-4'>
                          <i className='fas fa-stream fa-lg text-primary fa-fw'></i>
                        </MDBBadge>
                      </div>
                      <div className='flex-grow-1 ms-4'>
                        <p className='fw-bold mb-1'>Backend friendly</p>
                        <p className='text-muted mb-1'>MDB is designed to be seamlessly integrated and used with the backend.</p>
                        <small>
                          <a href=''>Learn more</a>
                        </small>
                      </div>
                    </div>
                  </div>

                  <div className='col-lg-6 mb-5'>
                    <div className='d-flex align-items-start'>
                      <div className='flex-shrink-0'>
                        <MDBBadge light='true' className='p-3 badge-primary rounded-4'>
                          <i className='fas fa-copy fa-lg text-primary fa-fw'></i>
                        </MDBBadge>
                      </div>
                      <div className='flex-grow-1 ms-4'>
                        <p className='fw-bold mb-1'>Support and community</p>
                        <p className='text-muted mb-1'>The MDB team and our global community are there to support you.</p>
                        <small>
                          <a href=''>Learn more</a>
                        </small>
                      </div>
                    </div>
                  </div>
                </div>
              );
            
        
    

24H 00M 00S

Get one of the limited daily offers for AI Bundles with 98% OFF for our Black Days Sale!

Badges - API


Import

        
            
        import { MDBBadge } from 'mdb-react-ui-kit';
      
        
    

Properties

MDBBadge

Name Type Default Description Example
color 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'light' | 'dark' | 'muted' | 'white' | 'info' 'primary' Sets the background color of the badge <MDBBadge color='secondary' />
dot Boolean '' Makes a dot-like badge notification <MDBBadge dot />
light Boolean false Combined with color one changes the badge layout to lighter one <MDBBadge color='warning' light />
notification Boolean '' Makes a notification badge <MDBBadge notification />
pill Boolean '' Makes a rounded-pill badge <MDBBadge pill />
tag String 'span' Defines tag of the MDBBadge element <MDBBadge tag="section" />

CSS variables

As part of MDB’s evolving CSS variables approach, badge now use local CSS variables for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

Badges CSS variables are in different classes which belong to this component. To make it easier to use them, you can find below all of the used CSS variables.

        
            
        // .badge
        --#{$prefix}badge-padding-x: #{$badge-padding-x};
        --#{$prefix}badge-padding-y: #{$badge-padding-y};
        @include rfs($badge-font-size, --#{$prefix}badge-font-size);
        --#{$prefix}badge-font-weight: #{$badge-font-weight};
        --#{$prefix}badge-color: #{$badge-color};
        --#{$prefix}badge-border-radius: #{$badge-border-radius};

        // .badge-dot
        --#{$prefix}badge-border-radius: #{$badge-dot-border-radius};
        --#{$prefix}badge-height: #{$badge-dot-height};
        --#{$prefix}badge-width: #{$badge-dot-width};
        --#{$prefix}badge-margin-left: #{$badge-dot-margin-left};

        // .badge-notification
        --#{$prefix}badge-font-size: #{$badge-notification-font-size};
        --#{$prefix}badge-padding-x: #{$badge-notification-padding-x};
        --#{$prefix}badge-padding-y: #{$badge-notification-padding-y};
        --#{$prefix}badge-margin-top: #{$badge-notification-margin-top};
        --#{$prefix}badge-margin-left: #{$badge-notification-margin-left};
        
        
    

SCSS variables

        
            
        $badge-font-size: 0.75em;
        $badge-font-weight: $font-weight-bold;
        $badge-color: $white;
        $badge-padding-y: 0.35em;
        $badge-padding-x: 0.65em;
        $badge-border-radius: 0.27rem;

        $badge-dot-border-radius: 4.5px;
        $badge-dot-height: 9px;
        $badge-dot-width: $badge-dot-height;
        $badge-dot-margin-left: -0.3125rem;

        $badge-notification-font-size: 0.6rem;
        $badge-notification-margin-top: -0.1rem;
        $badge-notification-margin-left: -0.5rem;
        $badge-notification-padding-y: 0.2em;
        $badge-notification-padding-x: 0.45em;